summarylogtreecommitdiffstats
path: root/wirehub.install
diff options
context:
space:
mode:
Diffstat (limited to 'wirehub.install')
-rw-r--r--wirehub.install10
1 files changed, 10 insertions, 0 deletions
diff --git a/wirehub.install b/wirehub.install
new file mode 100644
index 000000000000..332a315263e7
--- /dev/null
+++ b/wirehub.install
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+
+post_install() {
+ if ! test -f /etc/wirehub/config.sk
+ then
+ wh genkey | tee /etc/wirehub/config.sk | wh pubkey | tee /etc/wirehub/config.k
+ chmod 0600 /etc/wirehub/config.sk
+ chmod 0644 /etc/wirehub/config.k
+ fi
+}